=== src/mlnx-ofed-kernel-4.6/compat-2.6.18/Makefile ===
obj-m += mlx_compat.o

mlx_compat-y += main.o
mlx_compat-y += compat-2.6.19.o
mlx_compat-y += compat-2.6.28.o
mlx_compat-y += compat-2.6.37.o
mlx_compat-y += compat-3.9.o

mlx_compat-$(CONFIG_COMPAT_KOBJECT_BACKPORT) += kobject_backport.o
