=== src/mlnx-ofed-kernel-4.6/drivers/infiniband/ulp/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CONFIG_INFINIBAND_IPOIB)		+= ipoib$(CONFIG_IPOIB_VERSION)/
obj-$(CONFIG_INFINIBAND_SRP)		+= srp/
obj-$(CONFIG_INFINIBAND_SRP_DUMMY)	+= srp/
obj-$(CONFIG_INFINIBAND_SRPT)		+= srpt/
obj-$(CONFIG_INFINIBAND_ISER)		+= iser/
obj-$(CONFIG_INFINIBAND_ISER_DUMMY)	+= iser/
obj-$(CONFIG_INFINIBAND_ISERT)		+= isert/
obj-$(CONFIG_INFINIBAND_ISERT_DUMMY)	+= isert/
obj-$(CONFIG_INFINIBAND_OPA_VNIC)	+= opa_vnic/
obj-$(CONFIG_INFINIBAND_XSCORE)		+= xsigo/
