=== src/mlnx-ofed-kernel-4.6/drivers/net/eipoib/Makefile ===
obj-$(CONFIG_E_IPOIB)                         := eth_ipoib.o
eth_ipoib-y                                    := eth_ipoib_main.o \
                                                  eth_ipoib_sysfs.o \
                                                  eth_ipoib_ethtool.o \
						  eth_ipoib_multicast.o
